Subject: bug#78530: 31.0.50; [PATCH] eglot-code-action-suggestion doesn't call the callback function in the original buffer

From: João Távora <[email-masked]>
Date: Thu, 22 May 2025 10:28:38 +0100

Ok,

To understand exactly what you mean, just show a patch to eldoc.el. Even
though I'm not directly maintaining it anymore lately, I can look at it.

João Távora

On Thu, May 22, 2025, 06:48 Yuan Fu <[email-masked]> wrote:

>
>
> > On May 21, 2025, at 4:20 AM, João Távora <[email-masked]> wrote:
> >
> > Good catch, good analysis and great commit message.
> >
> > Just please rename the subject line of the commit message to
> > start with "Eglot: " if you can.  Makes it easier to identify.  For
> example:
> >
> > Eglot: always call ElDoc callbacks in correct buffer
> >
> > Then add a reference to this bug#78530 and push at will.
>
> Cool. And thanks for the commit title, I was struggling to come up with a
> good one :) I pushed the fix. But we should also think about fixing the
> root cause. For example, switching to the original buffer temporarily when
> running ‘eldoc-display-functions’, like what eglot documentation functions
> do already. WDYT?
>
> Yuan